[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.ComponentCount

Count of owned components

## Declaration

Source position: classesh.inc line 1983

`public property TComponent.ComponentCount : Integer read GetComponentCount;`

## Description

ComponentCount returns the number of components that the current component owns. It can be used to determine the valid index range in the Component array.

## See also

Components |  | Indexed list (zero-based) of all owned components.
Owner |  | Owner of this component.